import { jsx } from "react/jsx-runtime";
import { TokenEURC as TokenEURC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEURC = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "EURC", "data-name": "TokenEURC", ...props, children: /* @__PURE__ */ jsx(TokenEURC$1, { variant }) });
  }
);
TokenEURC.displayName = "TokenEURC";
Object.assign(TokenEURC, { isGdsIcon: true });
export {
  TokenEURC
};
